Package org.opensaml.core.metrics.impl

# Class DisabledTimer

java.lang.Object
com.codahale.metrics.Timer
org.opensaml.core.metrics.impl.DisabledTimer

All Implemented Interfaces:
  `com.codahale.metrics.Counting`, `com.codahale.metrics.Metered`, `com.codahale.metrics.Metric`, `com.codahale.metrics.Sampling`, `DisabledMetric`

public class DisabledTimer extends com.codahale.metrics.Timer implements DisabledMetric
A stubbed out timer implementation.

Since:
  3.3.0

## Nested Class Summary

## Nested classes/interfaces inherited from class com.codahale.metrics.Timer

`com.codahale.metrics.Timer.Context`

## Constructor Summary

Constructors
Constructor
Description
`DisabledTimer()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`long`
`getCount()`
`double`
`getFifteenMinuteRate()`
`double`
`getFiveMinuteRate()`
`double`
`getMeanRate()`
`double`
`getOneMinuteRate()`
`com.codahale.metrics.Snapshot`
`getSnapshot()`
`com.codahale.metrics.Timer.Context`
`time()`
`<T> T`
`time(Callable<T> event)`
`void`
`update(long duration, TimeUnit unit)`

### Methods inherited from class com.codahale.metrics.Timer

`time, timeSupplier, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DisabledTimer

public DisabledTimer()
Constructor.

## Method Details

### update

public void update(long duration, TimeUnit unit)

Overrides:
  `update` in class `com.codahale.metrics.Timer`

### time

public <T> T time(Callable<T> event) throws Exception

Overrides:
  `time` in class `com.codahale.metrics.Timer`
Throws:
  `Exception`

### time

public com.codahale.metrics.Timer.Context time()

Overrides:
  `time` in class `com.codahale.metrics.Timer`

### getCount

public long getCount()

Specified by:
  `getCount` in interface `com.codahale.metrics.Counting`
Specified by:
  `getCount` in interface `com.codahale.metrics.Metered`
Overrides:
  `getCount` in class `com.codahale.metrics.Timer`

### getFifteenMinuteRate

public double getFifteenMinuteRate()

Specified by:
  `getFifteenMinuteRate` in interface `com.codahale.metrics.Metered`
Overrides:
  `getFifteenMinuteRate` in class `com.codahale.metrics.Timer`

### getFiveMinuteRate

public double getFiveMinuteRate()

Specified by:
  `getFiveMinuteRate` in interface `com.codahale.metrics.Metered`
Overrides:
  `getFiveMinuteRate` in class `com.codahale.metrics.Timer`

### getMeanRate

public double getMeanRate()

Specified by:
  `getMeanRate` in interface `com.codahale.metrics.Metered`
Overrides:
  `getMeanRate` in class `com.codahale.metrics.Timer`

### getOneMinuteRate

public double getOneMinuteRate()

Specified by:
  `getOneMinuteRate` in interface `com.codahale.metrics.Metered`
Overrides:
  `getOneMinuteRate` in class `com.codahale.metrics.Timer`

### getSnapshot

public com.codahale.metrics.Snapshot getSnapshot()

Specified by:
  `getSnapshot` in interface `com.codahale.metrics.Sampling`
Overrides:
  `getSnapshot` in class `com.codahale.metrics.Timer`